Bug 7799 - admin/marctagstructure.pl needs $dbh plack scoping
Summary: admin/marctagstructure.pl needs $dbh plack scoping
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7172
  Show dependency treegraph
 
Reported: 2012-03-22 13:05 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7799 - admin/marctagstructure.pl needs $dbh plack scoping (719 bytes, patch)
2012-03-22 13:06 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7799 - admin/marctagstructure.pl plack scoping (1.04 KB, patch)
2012-03-23 10:40 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7799 - admin/marctagstructure.pl plack scoping (1.11 KB, patch)
2012-03-23 10:57 UTC, Matthias Meusburger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-03-22 13:05:10 UTC

    
Comment 1 Dobrica Pavlinusic 2012-03-22 13:06:02 UTC Comment hidden (obsolete)
Comment 2 Matthias Meusburger 2012-03-23 10:38:40 UTC
Steps to reproduce the problem:

  create a new framework
  click on "Marc Structure" for this new framework
  you will have "Create framework for TEST (test) using Default"
  click "OK"
  kaboom!
Comment 3 Dobrica Pavlinusic 2012-03-23 10:40:54 UTC Comment hidden (obsolete)
Comment 4 Matthias Meusburger 2012-03-23 10:57:48 UTC
Created attachment 8581 [details] [review]
Bug 7799 - admin/marctagstructure.pl plack scoping

duplicate_framework needs $dbh so we get it from C4::Context

Signed-off-by: Matthias Meusburger <matthias.meusburger@biblibre.com>
Comment 5 Paul Poulain 2012-03-26 16:16:39 UTC
QA comment: clean solution for plack compliance ! passed QA
Comment 6 Jared Camins-Esakov 2012-12-31 00:48:36 UTC
There have been no further reports of problems so I am marking this bug resolved.